def detailed_view(page_id):
	"""
		This function is used to naviagte to a page from a navigation button
		This function takes one parameter "page_id. This is the id of the page
		the user wishes to navigate to.

		Args:
			page_id : Target page the function will use to navigate to.
		Returns:
			None.

		Raises:
			None. 
	"""
	system.perspective.navigate(page_id)
